h1 {
    animation: fadeIn 0.4s ease-in 0.5s forwards;
    opacity: 0;
    text-align: center;
    color: rgb(255, 255, 255);
    font-family: "Lilita One", sans-serif;
    font-weight: 300;
    font-style: normal;
    font-size: clamp(3.5rem, 5vw, 6rem);
    text-shadow: 4px 2px 3px rgb(154, 224, 238);
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Nunito", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
}


body {
    background-color: oklch(12.9% .042 264.695);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    font-family: "Nunito", sans-serif;
}

.desc {
    color: rgb(180, 180, 180);
    font-family: "Miranda Sans", sans-serif;
    font-weight: 600;
    font-size: clamp(1rem, 1vw + 0.6rem, 1.4rem);
    
    margin-top: -5vw;        
    max-width: 600px;     
    animation: fadeIn 0.4s ease-in 0.5s forwards;
    opacity: 0;
}

ul {
    opacity: 0;
    animation: fadeIn 0.4s ease-in forwards;
    animation-delay: 0.5s;
    list-style-type: none;
    margin: 0;
    padding: clamp(10px, 1.2vw, 15px);
    overflow: hidden;

    margin-right: 10%;
    margin-left: 10%;
    border-radius: 200px;

    display: flex;
    justify-content: center;
    align-items: center;

    gap: clamp(1rem, 4vw, 9rem);

    background-color: rgb(255, 255, 255);
    border: 2px solid rgb(94, 234, 244);
    

}
ul li {
    padding: 1px;
}

@media screen and (max-width: 20000px) and (min-width: 900px) {
    ul {
        
    gap: 15vw;
    padding: 5px;
    width: 80%;
    }
    h1 {
        font-size: 10vw;
    }
}
.home {
    
    background-color: rgb(100, 210, 253);
}

ul li a {
    display: block;
    color: rgb(0, 0, 0);
    text-align: center;
    text-decoration: none;

    font-size: clamp(0.9rem, 1vw + 0.3rem, 1.2rem);

    background-color: white;

    padding: clamp(0.5rem, 1vw, 1rem);

    border-radius: 48px;

    box-shadow: 4px 4px 1px rgb(107, 207, 254);
    border: 2px solid black;

    transition: 0.2s ease;
}
ul li a:hover {
    color: hsl(0, 0%, 0%);
    background-color: rgb(134, 220, 249);
}

button {
    animation: fadeIn 0.4s ease-in 0.5s forwards;
    opacity: 0;
    display: block;
    margin: 0 auto;

    font-family: monospace;
    font-weight: 400;

    font-size: clamp(1rem, 1vw + 0.6rem, 2rem);

    padding: clamp(10px, 1vw + 6px, 16px);

    border-radius: 2rem;

    box-shadow: 5px 5px 0px rgb(107, 220, 255);
    border: 2px solid black;

    background: linear-gradient(rgb(255, 255, 255), rgb(149, 223, 255));

    transition: transform 0.3s;
    margin-top: 7vw;;
}

a {
    text-decoration: none;
}

button:hover {
    box-shadow: 3px 3px 0px rgb(105, 205, 242);
    background: linear-gradient(rgb(255, 255, 255), rgb(0, 179, 255));
    cursor: pointer;
    transform: scale(1.1);
}
.about {
    animation: fadeIn 0.4s ease-in 0.5s forwards;
    opacity: 0;
    color: rgb(0, 0, 0);
    width: min(400px, 85vw);
    height: auto;
    background-color: rgb(255, 255, 255);
    padding: clamp(12px, 1vw + 6px, 18px);
    border-radius: 50px;
    font-size: clamp(1rem, 0.9vw + 0.7rem, 1.2rem);
    display: block;
    text-align: center;
    margin: auto;
    margin-top: 10%;
    margin-bottom: 10vh;
    border: 5px solid rgb(0, 0, 0);
    box-shadow: 10px 10px 1px rgb(66, 230, 255);
    transition: transform 0.3s;
}
.about:hover {
transform: scale(1.05);
}
.main-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;

    min-height: 50vh;
    padding: 20px;

}
.fade-inA {
  opacity: 0; /* Start invisible */

  animation: fadeInA 0.4s ease-in forwards; /* 2s duration, ease-in curve */
      animation-delay: 1s;
}
.fade-inB {
  opacity: 0; /* Start invisible */

  animation: fadeInB 0.4s ease-in forwards; /* 2s duration, ease-in curve */
      animation-delay: 1.5s;
}
.fade-inC {
  opacity: 0; /* Start invisible */

  animation: fadeInC 0.4s ease-in forwards; /* 2s duration, ease-in curve */
  animation-delay: 2s;
}
@keyframes fadeInA {
  from { opacity: 0; }
  to { opacity: 1; }
}
@keyframes fadeInB {
  from { opacity: 0; }
  to { opacity: 1; }
}
@keyframes fadeInC {
  from { opacity: 0; }
  to { opacity: 1; }
}
@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}